GroovyElseIfTag (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib
[Java] Class GroovyElseIfTag

    java.lang.Object
      org.codehaus.groovy.grails.web.taglib.GroovySyntaxTag
          org.codehaus.groovy.grails.web.taglib.GroovyConditionalTag
              org.codehaus.groovy.grails.web.taglib.GroovyElseIfTag

    public class GroovyElseIfTag
    extends GroovyConditionalTag

Field Summary
`static java.lang.String` | `TAG_NAME`

Fields inherited from class GroovySyntaxTag
ATTRIBUTES_STATUS, ATTRIBUTE_IN, ATTRIBUTE_VAR, attributes, foreachRenamedIt, out, parser, tagContext

Method Summary
`void` | `doEndTag()`
`java.lang.String` | `getName()`
`boolean` | `isAllowPrecedingContent()`
`boolean` | `isKeepPrecedingWhiteSpace()`
`protected void` | `outputStartTag(java.lang.String env, java.lang.String test)`

Methods inherited from class GroovyConditionalTag
attributeValueOrNull, doEndTag, doStartTag, isAllowPrecedingContent, isKeepPrecedingWhiteSpace, outputStartTag

Methods inherited from class GroovySyntaxTag
calculateExpression, doEachMethod, endEachMethod, getForeachRenamedIt, init, isAllowPrecedingContent, isKeepPrecedingWhiteSpace, setAttribute, setAttributes, setWriter

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### TAG_NAME

    public static final java.lang.String TAG_NAME

Method Detail

### doEndTag

    @java.lang.Override
    public void doEndTag()

### getName

    public java.lang.String getName()

### isAllowPrecedingContent

    @java.lang.Override
    public boolean isAllowPrecedingContent()

### isKeepPrecedingWhiteSpace

    @java.lang.Override
    public boolean isKeepPrecedingWhiteSpace()

### outputStartTag

    @java.lang.Override
    protected void outputStartTag(java.lang.String env, java.lang.String test)

Groovy Documentation